from .esia.api import ESIA_API
from .vitacore.api import VITACORE_API


class ClientsObject:
    _esia_api = None
    _vitacore_api = None

    @property
    def esia_api(self):
        if not self._esia_api:
            self._esia_api = ESIA_API()

        return self._esia_api

    @property
    def vitacore_api(self):
        if not self._vitacore_api:
            self._vitacore_api = VITACORE_API()

        return self._vitacore_api


clients = ClientsObject()
